<%! private static final String cvsId = "$Id: ws_admin_singlesignon.jsp,v 1.1 2012/02/17 02:26:51 steve Exp $"; %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="com.hof.util.*, java.util.*, java.text.*" %> 
<%@ page import="com.hof.web.form.*" %>
<%@ page import="com.hof.mi.web.service.*" %>
<%
/*
* This is an example signing in a user via SSO without using a password.
* To enable this option insert the below row into the Yellowfin config table pointing to your own SSO jsp
* INSERT INTO Configuration (IpOrg, ConfigTypeCode, ConfigCode, ConfigData) values (1, 'SYSTEM', 'MOBILE_SSO_LOCATION', 'http://10.10.0.10:8080/yellowfin71/mobileSSO/mobileSSOExample.jsp')
*
* To sign in without a password SIMPLE_AUTHENTICATION must be also be turned on 
*
* INSERT INTO Configuration (IpOrg, ConfigTypeCode, ConfigCode, ConfigData) values (1, 'SYSTEM', 'SIMPLE_AUTHENTICATION', 'TRUE')
*
* Once the user is signed in you must call the below URL with web service token appened
* yfj2o://yftoken=webservicetokenhere
* This must be done via the an iFrame call as using a redriect will cause an issue with the UIWebview in the iOS app
*/
	
     AdministrationServiceResponse rs = null;
     AdministrationServiceRequest rsr = new AdministrationServiceRequest();
     AdministrationServiceService ts = new AdministrationServiceServiceLocator("localhost", 8080, "/yellowfin71/services/AdministrationService", false);
     AdministrationServiceSoapBindingStub rssbs = (AdministrationServiceSoapBindingStub) ts.getAdministrationService();
     
     String mobileUsername = request.getParameter("mobileUsername") == null ? "" : request.getParameter("mobileUsername");
     
     rsr.setLoginId("admin@yellowfin.com.au");
     rsr.setPassword("test");
     rsr.setOrgId(new Integer(1));
     rsr.setFunction("LOGINUSERNOPASSWORD");
     AdministrationPerson ap = new AdministrationPerson();
     ap.setUserId("user@yellowfin.com.au");
     //rsr.setOrgRef("CLIENTREF");    
     rsr.setPerson(ap) ;    
     rs = rssbs.remoteAdministrationCall(rsr);
  %>
<!DOCTYPE html>
<html>
<head>
<title>Mobile SSO</title>
<link rel="stylesheet" type="text/css" href="style.css" />
<style>
#client-org, #error-msg {
	display: none;
}
</style>
</head>
<script type="text/javascript">
    function callJavascriptBridgeError(error) {
        var iframe = document.createElement("IFRAME");
        iframe.setAttribute("src", "yfj2o://yferror=" + encodeURIComponent(error));
        iframe.setAttribute("height", "1px");
        iframe.setAttribute("width", "1px");
        document.documentElement.appendChild(iframe);
        iframe.parentNode.removeChild(iframe);
        iframe = null;
    };
    
    function callJavascriptBridge(token) {
        var iframe = document.createElement("IFRAME");
        iframe.setAttribute("src", "yfj2o://yftoken=" + token);
        iframe.setAttribute("height", "1px");
        iframe.setAttribute("width", "1px");
        document.documentElement.appendChild(iframe);
        iframe.parentNode.removeChild(iframe);
        iframe = null;
    };
    
</script>
<% 
  if ("SUCCESS".equals(rs.getStatusCode())) {
%>
<body onload="callJavascriptBridge('<%=rs.getLoginSessionId()%>')">
<div class="row">
  <div class="col-sm-2">.</div>
  <div class="col-sm-8" style="margin-left:auto; margin-right:auto; width:400px"><h2>Signing in with SSO...</h2>
  <div class="col-sm-2"></div>
</div>
</body>
</html>
<% 		
} else {
%>
<body onload="callJavascriptBridgeError('Error with SSO sign in process,\nPlease contact your system administrator')">
	<div class="row">
		<div class="col-sm-2">.</div>
		<div class="col-sm-8 text-center"><h2>Error with mobile SSO: Error code = <%= rs.getErrorCode() %></h2>				
		</div>
		<div class="col-sm-2"></div>
	</div>
</body>
</html>

<%
	}
    
%>

